List fees
curl --request GET \
--url https://sg.sandbox.api.reap.global/fees/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/fees/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/fees/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "FX_MARKUP",
"value": {
"unit": "BPS",
"bps": 51
},
"scope": {
"type": "PROJECT"
},
"version": 0,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
}Fees
List fees
Returns a paginated list of your fee rows - project defaults and account overrides - optionally filtered by type or scope.
GET
/
fees
/
List fees
curl --request GET \
--url https://sg.sandbox.api.reap.global/fees/ \
--header 'Authorization: Bearer <token>' \
--header 'Reap-Version: <reap-version>'const options = {
method: 'GET',
headers: {'Reap-Version': '<reap-version>', Authorization: 'Bearer <token>'}
};
fetch('https://sg.sandbox.api.reap.global/fees/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/fees/"
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "FX_MARKUP",
"value": {
"unit": "BPS",
"bps": 51
},
"scope": {
"type": "PROJECT"
},
"version": 0,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"nextCursor": "<string>"
}Required scope: FEES_READ